<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0" 
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:annotation>
    <xs:documentation>
      MACA module action definition
    </xs:documentation>
  </xs:annotation>
  <xs:element name="MACA">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="ClearAllStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>
              clear MACA all interfaces¡¯ statisitcs.
            </xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="Clear" type="xs:string" fixed="" minOccurs="0">
                <xs:annotation>
                  <xs:documentation>Clear all interfaces¡¯ statistics.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
          </xs:complexType>
        </xs:element>
        <xs:element name="ClearInterStatistics" minOccurs="0">
          <xs:annotation>
            <xs:documentation>clears MACA interface statisitcs information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interface to apply</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Clear" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Clears the interface' statistics.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ResetGVLANUser" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Resets MACAinterface¡¯s all users in guest VLAN.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interface to apply</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ResetAll" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Resets the interface' users in guest VLAN.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ResetOneGVLANUser" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Resets one of MACAinterface users of guest VLAN.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interface to apply</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserMAC" nillable="true" type="base:MacAddress" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The designated user¡¯s MAC.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Reset" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Resets the interface's designated user in guest VLAN</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ResetCVLANUser" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Resets MACA interface¡¯s all users in critical VLAN.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interface to apply</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="ResetAll" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Resets the interface' users in critical VLAN.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ResetOneCVLANUser" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Resets one of MACA interface users of critical VLAN.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Interface to apply</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Interface Index</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="UserMAC" nillable="true" type="base:MacAddress" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The designated user¡¯s MAC.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="Reset" type="xs:string" fixed="">
                      <xs:annotation>
                        <xs:documentation>Resets the interface's designated user in critical VLAN</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
